Subject: Re: [SWIPL] assert() & retract() problems

From: "Marcio Starke" <[email-masked]>
Date: Wed, 04 Apr 2001 19:21:27

do you tried the predicate dynamic?

:- dynamic(person_course/4).

>From: Ryo Saeba <[email-masked]>
>To: [email-masked]
>Subject: [SWIPL] assert() & retract() problems
>Date: Wed, 4 Apr 2001 11:50:45 -0700 (PDT)
>
>Hi everyone:
>
>   When I use SWI-prolog version 3.2.8 to run my program
>
>person_course(bryce, 2000, spring, cs5393).
>person_course(bryce, 2000, fall, cs6623).
>person_course(bryce, 2001, spring, cs6673).
>
>Then I type
>   ?- retract( person_course(bryce, 2001, spring, cs6673) ).
>or
>   ?- assert( person_course(bryce, 2001, spring, cs6703) ).
>
>there is no problem at all.
>However, when I run the same program in SWI-prolog
>Version 3.4.4 , I tried to use retract() or assert ()
>The computer will show me
>
>   ERROR: No permition to modify the static_percedure
>   'person_course/4'
>
>I don't know this is a bug in Version 3.4.4 or not.
>And would anybody can tell me how can I fix my problems?
>
>Thank you!
>
>Ryo
>
>
>
>
>
>_______________________________________________________
>Send a cool gift with your E-Card
>http://www.bluemountain.com/giftcenter/
>
>
>
>----------------
>* To UNSUBSCRIBE, please use the HTML form at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
>
>or send mail to [email-masked] using the Subject: 
>"unsubscribe"
>(without the quotes) and *no* message body.
>
>** An ARCHIVE of this list is maintained at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/
>

_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.